package de.kreawi.trainer.db;

import java.util.Properties;

public class SettingProperties extends Properties {
  
  private final TrainerSettingsModel settingsModel;

  public SettingProperties(final Properties defaults, final TrainerSettingsModel settingsModel) {
    super(defaults);
    this.settingsModel = settingsModel;
  }

  @Override
  public Object setProperty(final String key, final String value) {
    this.settingsModel.setValue(key, value);
    return super.setProperty(key, value);
  }
  
  public Object setPropertyWithoutDb(final String key, final String value) {
    return super.setProperty(key, value);
  }
}
