package de.kreawi.trainer.dialogs.etc;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.RenderingHints;
import java.util.Map;

import javax.swing.Action;
import javax.swing.BorderFactory;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.jgoodies.forms.factories.Borders;

import de.kreawi.trainer.TrainerFrame.Actions;
import de.kreawi.trainer.dialogs.KreawiDialogPanel;
import de.kreawi.trainer.dialogs.KreawiInternalFrame;
import de.martinknauer.util.Util;

@SuppressWarnings("serial")
public class CDMenuDialog extends KreawiDialogPanel {

	@SuppressWarnings("unused")
	private Map<Actions, Action> actionMap;

  private static final Logger logger = LoggerFactory.getLogger(CDMenuDialog.class); 

	/**
	 * Builds the dialog.
	 */
	public CDMenuDialog(Map<Actions, Action> actionMap) {

		this.actionMap = actionMap;

		setLayout(new GridBagLayout());
		setOpaque(false);
		setBorder(Borders.DIALOG_BORDER);

		JPanel panel = new JPanel(new FlowLayout());
		panel.setOpaque(false);

		int width = 720;
		int height = 1000;

		panel.setPreferredSize(new Dimension(width, height));
		panel.setMinimumSize(panel.getPreferredSize());

		panel.setBorder(BorderFactory.createEmptyBorder());

		GridBagConstraints gbc = new GridBagConstraints();
		gbc.fill = GridBagConstraints.BOTH;
		gbc.gridx = 0;
		gbc.gridy = 0;
		gbc.weightx = 1;
		gbc.weighty = 1;
		
		panel.add(buildLowerPanel());
		add(panel);
		
		JLabel textLabel = new JLabel("<html><font size=\"6\"><b>kreawi <i>Prüfungstrainer</i> installieren</html>") {
			public void paint(Graphics g) {

				Graphics2D g2d = (Graphics2D) g;

				try {
					g2d.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
							Util.getAATextRenderingHintValue());
				} catch (ClassNotFoundException e) {
				  logger.info("Text-Anti-Aliasing is not supported!");
				}

				super.paint(g2d);
			}
		};

		textLabel.setOpaque(false);
		
		panel.add(textLabel);
		
		JLabel textLabel2 = new JLabel("<html><font size=\"6\"><b>Java installieren</html>") {
			public void paint(Graphics g) {

				Graphics2D g2d = (Graphics2D) g;

				try {
					g2d.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
							Util.getAATextRenderingHintValue());
				} catch (ClassNotFoundException e) {
				  logger.info("Text-Anti-Aliasing is not supported!");
				}

				super.paint(g2d);
			}
		};

		textLabel2.setOpaque(false);
		
		panel.add(textLabel2);
		
		JLabel textLabel3 = new JLabel("<html><font size=\"6\"><b>Java für Windows 98, ME, 2000</html>") {
			public void paint(Graphics g) {

				Graphics2D g2d = (Graphics2D) g;

				try {
					g2d.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
							Util.getAATextRenderingHintValue());
				} catch (ClassNotFoundException e) {
				  logger.info("Text-Anti-Aliasing is not supported!");
				}

				super.paint(g2d);
			}
		};

		textLabel3.setOpaque(false);
		
		panel.add(textLabel3);
		
		JLabel textLabel4 = new JLabel("<html><font size=\"6\"><b>Java für Windows XP, Vista, Server 2003</html>") {
			public void paint(Graphics g) {

				Graphics2D g2d = (Graphics2D) g;

				try {
					g2d.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
							Util.getAATextRenderingHintValue());
				} catch (ClassNotFoundException e) {
				  logger.info("Text-Anti-Aliasing is not supported!");
				}

				super.paint(g2d);
			}
		};

		textLabel4.setOpaque(false);
		
		panel.add(textLabel4);
		
		JLabel textLabel5 = new JLabel("<html><font size=\"6\"><b>CD-Inhalt anzeigen</html>") {
			public void paint(Graphics g) {

				Graphics2D g2d = (Graphics2D) g;

				try {
					g2d.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
							Util.getAATextRenderingHintValue());
				} catch (ClassNotFoundException e) {
				  logger.info("Text-Anti-Aliasing is not supported!");
				}

				super.paint(g2d);
			}
		};

		textLabel5.setOpaque(false);
		
		panel.add(textLabel5);
		
		JLabel textLabel6 = new JLabel("<html><font size=\"6\"><b>Zurück</html>") {
			public void paint(Graphics g) {

				Graphics2D g2d = (Graphics2D) g;

				try {
					g2d.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
							Util.getAATextRenderingHintValue());
				} catch (ClassNotFoundException e) {
				  logger.info("Text-Anti-Aliasing is not supported!");
				}

				super.paint(g2d);
			}
		};

		textLabel6.setOpaque(false);
		
		panel.add(textLabel6);
	}

	private JComponent buildLowerPanel() {
//		UIManager.put("control", UIManager.getColor("control").darker());

		KreawiInternalFrame sif = new KreawiInternalFrame(null,
				new BorderLayout());

		sif.setPreferredSize(new Dimension(720, 540));
		
		JPanel gradientPanel = sif.getContent();
		gradientPanel.setBorder(BorderFactory.createEmptyBorder(3, 4, 3, 4));

//		JPanel labelPanel = new JPanel(new BorderLayout());
//		labelPanel.setOpaque(false);
//		JPanel innerPanel = new JPanel(new FlowLayout());
//		innerPanel.setOpaque(false);
//		JLabel imageLabel = new JLabel(new ImageIcon(TrainerMain.class
//				.getResource(LOGO_PATH)));
//		JLabel textLabel = new JLabel(TrainerTextResources
//				.getStringWithSubstitution("APPLICATION_TITLE_FOOT", 
//		      new String[] {KreawiGlobals.CURRENT_YEAR, KreawiGlobals.CURRENT_YEAR})) {
//			public void paint(Graphics g) {
//
//				Graphics2D g2d = (Graphics2D) g;
//
//				try {
//					g2d.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
//							Util.getAATextRenderingHintValue());
//				} catch (ClassNotFoundException e) {
//					log("Text-Anti-Aliasing is not supported!");
//				}
//
//				super.paint(g2d);
//			}
//		};
//
//		textLabel.setOpaque(false);
//
//		innerPanel.add(textLabel);
//		innerPanel.add(imageLabel);
//		labelPanel.add(innerPanel, BorderLayout.EAST);
//		JPanel gluePanel = new JPanel();
//		gluePanel.setOpaque(false);
//		labelPanel.add(gluePanel, BorderLayout.SOUTH);
//
//		gradientPanel.add(labelPanel, BorderLayout.SOUTH);

		return sif;
	}

}
