package de.kreawi.trainer.dialogs.etc;

import java.awt.Dimension;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.util.Map;

import javax.swing.Action;
import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.jgoodies.forms.factories.Borders;

import de.kreawi.trainer.KreawiGlobals;
import de.kreawi.trainer.TrainerFrame;
import de.kreawi.trainer.TrainerMain;
import de.kreawi.trainer.TrainerFrame.Actions;
import de.kreawi.trainer.dialogs.KreawiDialogPanel;
import de.kreawi.trainer.dialogs.KreawiInternalFrame;

@SuppressWarnings("serial")
public class SplashScreenDialog extends KreawiDialogPanel {

	public static final String LOGO_PATH = KreawiGlobals.APP_IMAGES_DIR_NAME + "/logo_nur kreis_transparent_sw.gif";

	@SuppressWarnings("unused")
	private Map<Actions, Action> actionMap;

  private static final Logger logger = LoggerFactory.getLogger(SplashScreenDialog.class); 

	/**
	 * Builds the dialog.
	 */
	public SplashScreenDialog(Map<Actions, Action> actionMap) {

		this.actionMap = actionMap;

		setLayout(new GridBagLayout());
		setOpaque(false);
		setBorder(Borders.DIALOG_BORDER);

		JPanel panel = new JPanel(new GridBagLayout());

		int width = TrainerFrame.SMALL_DIALOG_SIZE.width - 150;
		int height = TrainerFrame.SMALL_DIALOG_SIZE.height - 220;

		panel.setPreferredSize(new Dimension(width, height));
		panel.setMinimumSize(panel.getPreferredSize());

		panel.setBorder(BorderFactory.createEmptyBorder());

		GridBagConstraints gbc = new GridBagConstraints();
		gbc.fill = GridBagConstraints.BOTH;
		gbc.gridx = 0;
		gbc.gridy = 0;
		gbc.weightx = 1;
		gbc.weighty = 1;

		panel.add(buildLowerPanel(), gbc);
		add(panel);
	}

	public static KreawiInternalFrame buildLowerPanel() {
		// UIManager.put("control", UIManager.getColor("control").darker());

		KreawiInternalFrame sif = new KreawiInternalFrame(null,
				new GridBagLayout(), null, true, false, false);

		JPanel gradientPanel = sif.getContent();
		gradientPanel.setBorder(BorderFactory.createEmptyBorder(3, 4, 3, 4));

//		JPanel labelPanel = new JPanel(new BorderLayout());
//		labelPanel.setOpaque(false);
//		JPanel innerPanel = new JPanel(new FlowLayout());
//		innerPanel.setOpaque(false);
		JLabel imageLabel = new JLabel(new ImageIcon(TrainerMain.class
				.getResource(LOGO_PATH)));
//		JLabel textLabel = new JLabel(
//				"<html><font size=\"6\"><b>kreawi <i>Prüfungstrainer  </i>2008  </b></font><br>\u00A9 2007 Kreativität & Wissen Verlag und Buchhandel GmbH <br></html>") {
//			public void paint(Graphics g) {
//
//				Graphics2D g2d = (Graphics2D) g;
//
//				try {
//					g2d.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
//							Util.getAATextRenderingHintValue());
//				} catch (ClassNotFoundException e) {
//					log("Text-Anti-Aliasing is not supported!");
//				}
//
//				super.paint(g2d);
//			}
//		};
//
//		textLabel.setOpaque(false);

//		innerPanel.add(textLabel);
//		innerPanel.add(imageLabel);
//		labelPanel.add(innerPanel, BorderLayout.EAST);
		// JPanel gluePanel = new JPanel();
		// gluePanel.setOpaque(false);
		// labelPanel.add(gluePanel, BorderLayout.SOUTH);

		gradientPanel.add(imageLabel);

		return sif;
	}

}
