package de.kreawi.trainer.dialogs.onlineGame;

import java.util.List;

import de.kreawi.trainer.dialogs.onlineGame.custom_nodes.HeaderWithBackbutton;
import de.kreawi.trainer.dialogs.onlineGame.custom_nodes.UserListView;
import de.kreawi.trainer.onlinegame.entities.OnlineGameUser;
import javafx.beans.value.ChangeListener;
import javafx.beans.value.ObservableValue;
import javafx.geometry.Insets;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Priority;
import javafx.scene.layout.VBox;

public class OpenUsersList extends VBox {

  private final OnlineGameContainer onlineGameContainer;
  private final List<OnlineGameUser> openUsersList;

  public OpenUsersList(final List<OnlineGameUser> openUsersList, final OnlineGameContainer onlineGameContainer) {

    this.openUsersList = openUsersList;
    this.onlineGameContainer = onlineGameContainer;
    

    final Runnable backAction = () -> {
      this.onlineGameContainer.showFriendsListNoReload();;
    };
    final HeaderWithBackbutton header = new HeaderWithBackbutton("Beliebiger Spieler", backAction);
    getChildren().add(header);

    final UserListView userListView = new UserListView(this.openUsersList, this.onlineGameContainer);
    final TextField searchField = new TextField();
    searchField.setPromptText("Suchen");
    searchField.textProperty().addListener(new ChangeListener<String>() {
      @Override
      public void changed(ObservableValue<? extends String> observable, String oldValue, String newValue) {
        userListView.filerItems(newValue);
      }
    });
    
    final BorderPane searchFieldContainer = new BorderPane(searchField);
    BorderPane.setMargin(searchField, new Insets(10d));
    
    getChildren().add(searchFieldContainer);
    
    VBox.setVgrow(userListView, Priority.ALWAYS);
    getChildren().add(userListView);
  }
  
}
