package de.kreawi.trainer.onlinegame.entities;

import java.nio.file.Path;
import java.util.HashMap;

public class OnlineGameProfile {
  
  private String id;
  
  private String email;
  
  private String userName;
  
  private String password;
  
  private Path profileImage;
  
  private String mobile;
  
  private String deviceType;
  
  private String deviceToken;
  
  private String appRecordId;
  
  private String appName;

  public OnlineGameProfile(final OnlineGameUser profileUser, final String password, final Path profileImage) {
    this.id = profileUser.getId();
    this.email = profileUser.getEmail();
    this.userName = profileUser.getUserName();
    this.password = password;
    this.profileImage = profileImage;
    this.mobile = profileUser.getMobile();
    this.deviceType = profileUser.getDeviceType();
    this.deviceToken = profileUser.getDeviceToken();
    this.appRecordId = null;
    this.appName = null;
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public String getUserName() {
    return userName;
  }

  public void setUserName(String userName) {
    this.userName = userName;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public Path getProfileImage() {
    return profileImage;
  }

  public void setProfileImage(Path profileImage) {
    this.profileImage = profileImage;
  }

  public String getMobile() {
    return mobile;
  }

  public void setMobile(String mobile) {
    this.mobile = mobile;
  }

  public String getDeviceType() {
    return deviceType;
  }

  public void setDeviceType(String deviceType) {
    this.deviceType = deviceType;
  }

  public String getDeviceToken() {
    return deviceToken;
  }

  public void setDeviceToken(String deviceToken) {
    this.deviceToken = deviceToken;
  }

  public String getAppRecordId() {
    return appRecordId;
  }

  public void setAppRecordId(String appRecordId) {
    this.appRecordId = appRecordId;
  }

  public String getAppName() {
    return appName;
  }

  public void setAppName(String appName) {
    this.appName = appName;
  }

  public HashMap<String, String> getParameters() {
    
    HashMap<String, String> parameters = new HashMap<String, String>();
    
    if (id != null && id.length() > 0) {
      parameters.put("id", id);      
    }
    if (email != null && email.length() > 0) {
      parameters.put("email", email);      
    }
    if (userName != null && userName.length() > 0) {
      parameters.put("userName", userName);      
    }
    if (password != null && password.length() > 0) {
      parameters.put("password", password);      
    }
    if (mobile != null && mobile.length() > 0) {
      parameters.put("mobile", mobile);      
    }
    if (deviceType != null && deviceType.length() > 0) {
      parameters.put("deviceType", deviceType);      
    }
    if (deviceToken != null && deviceToken.length() > 0) {
      parameters.put("deviceToken", deviceToken);      
    }
    if (appRecordId != null && appRecordId.length() > 0) {
      parameters.put("appRecordId", appRecordId);      
    }
    if (appName != null && appName.length() > 0) {
      parameters.put("appName", appName);      
    }

    return parameters;
  }

  @Override
  public String toString() {
    return "OnlineGameProfile [id=" + id + ", email=" + email + ", userName=" + userName + ", password=" + password
        + ", profileImage=" + profileImage + ", mobile=" + mobile + ", deviceType=" + deviceType + ", deviceToken="
        + deviceToken + ", appRecordId=" + appRecordId + ", appName=" + appName + "]";
  }
  

}
