package de.kreawi.trainer.quiz;

import com.jquizengine.questions.collection.QuestionPool;
import com.jquizengine.quiz.Quiz;

// Keine serial ID, weil abgegleitete Klasse Quiz eine hat (wichtig für Serialisierung!)
@SuppressWarnings("serial")
public class KreawiQuiz extends Quiz {

  private int m_cardBoxLevel;

  public KreawiQuiz(final QuestionPool pool, final boolean isExamMode, final int cardBoxLevel) {
    super(pool, isExamMode);
    m_cardBoxLevel = cardBoxLevel;
  }

  public KreawiQuiz(QuestionPool pool, boolean isExamMode) {
    this(pool, isExamMode, -1);
  }

  public boolean isCardBoxSelection() {
    return m_cardBoxLevel >= 0;
  }

  public int cardBoxLevel() {
    return m_cardBoxLevel;
  }
    
}
